<?php
/*
WebDevStudio - www.webdevstudio.org
Copyright (C) 2006-2009 WebDevStudio Team (info@webdevstudio.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or 
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

//Damos de alta las plataformas de compilacion
$platforms = array("POSIX (Linux)", "Win32");

//Damos de alta los lenguajes de cada plataforma
$languages["POSIX (Linux)"] = array ("C", "C++");
$languages["Win32"] = array ("C", "C++");

//Damos de alta las extensiones de los ficheros de cada lenguaje
//NOTA: La primera extensin deber ser la que se va a compilar
$extensions["C"] = array(".c", ".h");
$extensions["C++"] = array(".cpp", ".h");

//Damos de alta tipos de aplicaciones en funcion de la plataforma y el lenguaje
$applications["POSIX (Linux)"]["C"] = array("Console");
$applications["POSIX (Linux)"]["C++"] = array("Console");
$applications["Win32"]["C"] = array("Console", "Windows");
$applications["Win32"]["C++"] = array("Console", "Windows");

//Indicamos cual es el path del compilador
$compiler_path["POSIX (Linux)"]["C"]["Console"]="gcc";
$compiler_path["POSIX (Linux)"]["C++"]["Console"]="g++";
$compiler_path["Win32"]["C"]["Console"]="i586-mingw32msvc-gcc";
$compiler_path["Win32"]["C++"]["Console"]="i586-mingw32msvc-g++";
$compiler_path["Win32"]["C"]["Windows"]="i586-mingw32msvc-gcc";
$compiler_path["Win32"]["C++"]["Windows"]="i586-mingw32msvc-g++";

//Indicamos cual es el path del builder
$builder_path["POSIX (Linux)"]["C"]["Console"]="gcc";
$builder_path["POSIX (Linux)"]["C++"]["Console"]="g++";
$builder_path["Win32"]["C"]["Console"]="i586-mingw32msvc-gcc";
$builder_path["Win32"]["C++"]["Console"]="i586-mingw32msvc-g++";
$builder_path["Win32"]["C"]["Windows"]="i586-mingw32msvc-gcc";
$builder_path["Win32"]["C++"]["Windows"]="i586-mingw32msvc-g++";

//Indicamos cual es el modulo de compilacion para esa aplicacion
$compile_module["POSIX (Linux)"]["C"]["Console"]="linux_c_console_compiler.php";
$compile_module["POSIX (Linux)"]["C++"]["Console"]="linux_cpp_console_compiler.php";
$compile_module["POSIX (Linux)"]["Java"]["Console"]="linux_java_console_compiler.php";
$compile_module["Win32"]["C"]["Console"]="win32_c_console_compiler.php";
$compile_module["Win32"]["C++"]["Console"]="win32_cpp_console_compiler.php";
$compile_module["Win32"]["C"]["Windows"]="win32_c_windows_compiler.php";
$compile_module["Win32"]["C++"]["Windows"]="win32_cpp_windows_compiler.php";

//Indicamos cual es el modulo de compilacion para esa aplicacion
$builder_module["POSIX (Linux)"]["C"]["Console"]="linux_c_console_builder.php";
$builder_module["POSIX (Linux)"]["C++"]["Console"]="linux_cpp_console_builder.php";
$builder_module["Win32"]["C"]["Console"]="win32_c_console_builder.php";
$builder_module["Win32"]["C++"]["Console"]="win32_cpp_console_builder.php";
$builder_module["Win32"]["C"]["Windows"]="win32_c_windows_builder.php";
$builder_module["Win32"]["C++"]["Windows"]="win32_cpp_windows_builder.php";

?>
