<?php
/*
Copyright  2005 Alberto Martnez Fernndez (albertinho_2000@hotmail.com)
				 Israel Ortiz Flores (i_ortiz_flores@hotmail.com)
 
Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A
copy of the license can be found in http://www.gnu.org/licenses/fdl.txt 
*/

require("../../authentication.php");

include('pclzip.lib.php');

//Buscamos el usuario
$user=$_SESSION['s_user'];
$name=$_GET['name'];
$backup=$_GET['backup'];

//Eliminamos los ficheros del proyecto
$dirHandler = opendir("../../users/$user/$name");
while ($file = readdir($dirHandler)) {
	if (($file != '.') && ($file != '..') && ($file != '.backups')) {
		$totalFile = "../../users/$user/$name/$file";
		if (!is_dir($totalFile)) 
			unlink($totalFile);
	} 
}

//Restauramos el backup del proyecto
$zipFile="../../users/$user/$name/.backups/$backup";
$archive = new PclZip($zipFile);
$archive->extract(PCLZIP_OPT_PATH, "../../users/$user/$name/", PCLZIP_OPT_SET_CHMOD, 0777);

//Saltamos al listado de proyectos
//header('Location: list_backups.php');
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<link href="../../styles/general.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">
	/*<![CDATA[*/
    	function volver() {
        	history.back()
        }
	/*]]>*/
    </script>
</head>
<body>
	<div id="all">
		<?php include("head_project.php"); ?>
        <div id="content">
            <div id="content_left">
                <ul class="box_left">
					<li class="box_title"><img src="../../images/general/box_project.png" alt="Projects" />Project</li>
					<li><img src="../../images/general/box_bullet.png" alt="bullet" /><a href="../workspace/work_project.php?name=<?php echo $name ?>">Work on this project</a></li>
                    <li><img src="../../images/general/box_bullet.png" alt="bullet" /><a href="list_backups.php">Back</a></li>
                </ul>
            </div>
            <div id="content_center">
                <div id="result_server">
                    <h2>Congratulations!</h2>
                    <p>Backup has been restored sucessfully</p>
                </div>
            </div>
        </div>
        <?php include("foot_project.php"); ?>
    </div>
</body>
</html>
