<?php
/*
WebDevStudio - www.webdevstudio.org
Copyright (C) 2006-2009 WebDevStudio Team (info@webdevstudio.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

session_save_path(realpath("../../sessions"));
session_start();

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>WebDevStudio :: An online integrated development environment</title>
    <link href="../../styles/general.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">
	/*<![CDATA[*/
		function change_location(location)
		{
			window.location=location;
		}
        function volver() {
        	history.back();
        }
	/*]]>*/
    </script>
</head>
<body>
	<div id="all">
		<?php include("head_report.php"); ?>
        <div id="content">
            <div id="content_left">        
            	<?php include("menu_report.php"); ?>        
            </div>
            
            <div id="content_center">
                <form id="report_form" name="report_form" method="post" action="new_report_res.php">
                	<script type="text/javascript">
						var referer = window.location.pathname;
						var nav = navigator.userAgent;
						var platform = navigator.platform;
						var system_language = navigator.systemLanguage;
						var user_language = navigator.userLanguage;
						var cpu = navigator.cpuClass;
						var screen_width = screen.width;
						var screen_height = screen.height;
						var screen_avail_width = screen.availWidth;
						var screen_avail_height = screen.availHeight;
						var screen_colordepth = screen.colorDepth;
						
						var status = "Received";
						var version = "1.7";
						
						document.writeln('<input type="hidden" id="referer" name="referer" value="'+referer+'" />');
						document.writeln('<input type="hidden" id="nav" name="nav" value="'+nav+'" />');
						document.writeln('<input type="hidden" id="platform" name="platform" value="'+platform+'" />');
						document.writeln('<input type="hidden" id="system_language" name="system_language" value="'+system_language+'" />');
						document.writeln('<input type="hidden" id="user_language" name="user_language" value="'+user_language+'" />');
						document.writeln('<input type="hidden" id="cpu" name="cpu" value="'+cpu+'" />');
						document.writeln('<input type="hidden" id="screen_width" name="screen_width" value="'+screen_width+'" />');
						document.writeln('<input type="hidden" id="screen_height" name="screen_height" value="'+screen_height+'" />');
						document.writeln('<input type="hidden" id="screen_avail_width" name="screen_avail_width" value="'+screen_avail_width+'" />');
						document.writeln('<input type="hidden" id="screen_avail_height" name="screen_avail_height" value="'+screen_avail_height+'" />');
						document.writeln('<input type="hidden" id="screen_colordepth" name="screen_colordepth" value="'+screen_colordepth+'" />');						
						document.writeln('<input type="hidden" id="status" name="status" value="'+status+'" />');
						document.writeln('<input type="hidden" id="version" name="version" value="'+version+'" />');
					</script>
                	
                    <fieldset>
                        <legend>Send feedback report</legend>
                        <ul>
                            <li class="form_description">
                                Please fill out this form to send your feedback.
                            </li>
                            <li>
                                <label for="category" >Category:</label>
                                <select id="category" name="category">
                                    <option value=""></option>
                                    <option value="Error">Error</option>
                                    <option value="Content">Content</option>
                                    <option value="Design">Design</option>                    
                                    <option value="Translation">Translation</option>
                                    <option value="Other">Other</option>                    
                                </select> *
                            </li>
                            <li>
                                <label for="summary">Summary:</label>
                                <input id="summary" name="summary" size="45"/> *
                            </li>
                            <li>
                                <label for="description">Description:</label>
                                <textarea id="description" name="description" cols="40" rows="6"></textarea> *
                            </li>
                            <li class="form_buttons">
                                <button type="submit">Send</button>
                                <button type="reset">Reset</button>
                            </li>
                        </ul>                    
                    </fieldset>
                </form>
            
            </div>
        </div>
        <?php include("foot_report.php"); ?>
    </div>
</body>
</html>