/*
WebDevStudio - www.webdevstudio.org
Copyright (C) 2006-2009 WebDevStudio Team (info@webdevstudio.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/


Init_Manager = function() {
	
	this.init = function() {
		
		//
		filetree_manager.init({
			 id: "filetree"
			,path: PATH_PROJECT
			,project: PROJECT_NAME
		});
	
		//
		editAreaLoader.init({
			 id: "editor_content"		// textarea id
			,start_highlight: true		// to display with highlight mode on start-up
			,language: "en"
			//,syntax: language.toLowerCase()
			,is_multi_files: true
			//,show_line_colors: true
			,toolbar: ""
			,font_size: 9
			,allow_resize: "no"
			,allow_toggle: false
			,autocompletion: true
			//,show_tab_browsing: true
			,show_toolbar: false
			,foot_toolbar: "change_smooth_selection, highlight, reset_highlight, autocompletion"
			,show_foot_toolbar: true
			//,is_editable: false;
		});		
		
		gui_manager.init();
		
		keyboard_manager.init();
		
	}
	
	
	
	
	loader = function() {
		window.onload = function() {
			init_manager.init();
		};
				
		window.onunload = function() {
			actions_manager.check_edited_files();
		};		
	}
	
	loader();
}
	
var init_manager = new Init_Manager();
